QGIS Application - Bug report #8493
"Save as Image" defaults to archaic media type
2013-08-21 07:15 AM - Aren Cambre

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 17257

Description

If 1 do File > Save as Image, the default is BMP, an archaic media type that generally should only be used when modern alternatives

don't work.

Could PNG be the default instead? For a general purpose raster image intended for non-GIS software (e.g., image editing, documents,

printing, etc.), PNG seems like the best option. PNG is an open standard and, except where compression is needed, is generally the

standard general purpose raster image type for modern applications.

Associated revisions

Revision 1e936df8 - 2015-01-26 11:08 PM - Michael Kirk

Saving map defaults to PNG instead of BMP

This only affects a user the first time they save a map as an image.
Afterwards their preference is saved.

FIXES: #8493

Revision 6dd42cae - 2015-01-27 04:14 AM - Nathan Woodrow

Merge pull request #1864 from michaelkirk/feature/export-png-first-8493

[fixes #8493] "Save as Image" defaults to PNG

History

#1 - 2013-08-22 03:02 AM - Andreas Neumann

+1 this bothered me since years. Not a big deal - only annoying. BMP is really the worst choice.

#2 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-02-14 07:11 AM - Filipe Dias
- Status changed from Open to Closed
In Menu ->File -> Save image .PNG is now the default.

#4 - 2014-02-14 08:10 AM - Richard Duivenvoorde

- Status changed from Closed to Reopened

Hi Filipe from what did you conclude that .PNG is now the default?

From a fresh rebuild from now, in

Menu -> Project -> Save as Image is still defaulting to .omp with me

Did you fix this yourself? Are we looking at the same things?

Reopening for now

#5 - 2014-02-14 08:22 AM - Etienne Tourigny

output format is saved in the lastSaveAsIimageFilter user pref so default value has no effect once you select another one. But the default is still BW.

#6 - 2014-02-14 09:32 AM - Filipe Dias

Yes, | always use .PNG so Etienne's right. Sorry for closing the ticket.

#7 - 2014-02-14 03:10 PM - Nathan Woodrow

- Tag set to easy

#8 - 2015-01-26 07:16 PM - Nathan Woodrow

- Status changed from Reopened to Closed

Fixed in changeset commit:"6dd42cae2046d1a13e3a4069b78473a0b9d818c3".
